package com.mortals.xhx.module.attendance.model;

import java.util.List;
import java.util.List;
import com.mortals.xhx.module.attendance.model.AttendanceGroupFreeworkEntity;
/**
* 考勤组考勤自由工时配置查询对象
*
* @author zxfei
* @date 2023-04-08
*/
public class AttendanceGroupFreeworkQuery extends AttendanceGroupFreeworkEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 考勤组 */
    private Long groupIdStart;

    /** 结束 考勤组 */
    private Long groupIdEnd;

    /** 增加 考勤组 */
    private Long groupIdIncrement;

    /** 考勤组列表 */
    private List <Long> groupIdList;

    /** 考勤组排除列表 */
    private List <Long> groupIdNotList;

    /** 考勤组名称 */
    private List<String> groupNameList;

    /** 考勤组名称排除列表 */
    private List <String> groupNameNotList;
    /** 开始 周一是否考勤(0.否,1.是) */
    private Integer mondayStart;

    /** 结束 周一是否考勤(0.否,1.是) */
    private Integer mondayEnd;

    /** 增加 周一是否考勤(0.否,1.是) */
    private Integer mondayIncrement;

    /** 周一是否考勤(0.否,1.是)列表 */
    private List <Integer> mondayList;

    /** 周一是否考勤(0.否,1.是)排除列表 */
    private List <Integer> mondayNotList;

    /** 开始 周二是否考勤(0.否,1.是) */
    private Integer tuesdayStart;

    /** 结束 周二是否考勤(0.否,1.是) */
    private Integer tuesdayEnd;

    /** 增加 周二是否考勤(0.否,1.是) */
    private Integer tuesdayIncrement;

    /** 周二是否考勤(0.否,1.是)列表 */
    private List <Integer> tuesdayList;

    /** 周二是否考勤(0.否,1.是)排除列表 */
    private List <Integer> tuesdayNotList;

    /** 开始 周三是否考勤(0.否,1.是) */
    private Integer wednesdayStart;

    /** 结束 周三是否考勤(0.否,1.是) */
    private Integer wednesdayEnd;

    /** 增加 周三是否考勤(0.否,1.是) */
    private Integer wednesdayIncrement;

    /** 周三是否考勤(0.否,1.是)列表 */
    private List <Integer> wednesdayList;

    /** 周三是否考勤(0.否,1.是)排除列表 */
    private List <Integer> wednesdayNotList;

    /** 开始 周四是否考勤(0.否,1.是) */
    private Integer thursdayStart;

    /** 结束 周四是否考勤(0.否,1.是) */
    private Integer thursdayEnd;

    /** 增加 周四是否考勤(0.否,1.是) */
    private Integer thursdayIncrement;

    /** 周四是否考勤(0.否,1.是)列表 */
    private List <Integer> thursdayList;

    /** 周四是否考勤(0.否,1.是)排除列表 */
    private List <Integer> thursdayNotList;

    /** 开始 周五是否考勤(0.否,1.是) */
    private Integer fridayStart;

    /** 结束 周五是否考勤(0.否,1.是) */
    private Integer fridayEnd;

    /** 增加 周五是否考勤(0.否,1.是) */
    private Integer fridayIncrement;

    /** 周五是否考勤(0.否,1.是)列表 */
    private List <Integer> fridayList;

    /** 周五是否考勤(0.否,1.是)排除列表 */
    private List <Integer> fridayNotList;

    /** 开始 周六是否考勤(0.否,1.是) */
    private Integer saturdayStart;

    /** 结束 周六是否考勤(0.否,1.是) */
    private Integer saturdayEnd;

    /** 增加 周六是否考勤(0.否,1.是) */
    private Integer saturdayIncrement;

    /** 周六是否考勤(0.否,1.是)列表 */
    private List <Integer> saturdayList;

    /** 周六是否考勤(0.否,1.是)排除列表 */
    private List <Integer> saturdayNotList;

    /** 开始 周日是否考勤(0.否,1.是) */
    private Integer sundayStart;

    /** 结束 周日是否考勤(0.否,1.是) */
    private Integer sundayEnd;

    /** 增加 周日是否考勤(0.否,1.是) */
    private Integer sundayIncrement;

    /** 周日是否考勤(0.否,1.是)列表 */
    private List <Integer> sundayList;

    /** 周日是否考勤(0.否,1.是)排除列表 */
    private List <Integer> sundayNotList;

    /** 开始 法定节假日自动排休(0.否,1.是) */
    private Integer holidaysStart;

    /** 结束 法定节假日自动排休(0.否,1.是) */
    private Integer holidaysEnd;

    /** 增加 法定节假日自动排休(0.否,1.是) */
    private Integer holidaysIncrement;

    /** 法定节假日自动排休(0.否,1.是)列表 */
    private List <Integer> holidaysList;

    /** 法定节假日自动排休(0.否,1.是)排除列表 */
    private List <Integer> holidaysNotList;

    /** 开始 工作时长，单位小时 */
    private Integer workTimeStart;

    /** 结束 工作时长，单位小时 */
    private Integer workTimeEnd;

    /** 增加 工作时长，单位小时 */
    private Integer workTimeIncrement;

    /** 工作时长，单位小时列表 */
    private List <Integer> workTimeList;

    /** 工作时长，单位小时排除列表 */
    private List <Integer> workTimeNotList;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<AttendanceGroupFreeworkQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<AttendanceGroupFreeworkQuery> andConditionList;

    public AttendanceGroupFreeworkQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 考勤组
    * @return groupIdStart
    */
    public Long getGroupIdStart(){
        return this.groupIdStart;
    }

    /**
    * 设置 开始 考勤组
    * @param groupIdStart
    */
    public void setGroupIdStart(Long groupIdStart){
        this.groupIdStart = groupIdStart;
    }

    /**
    * 获取 结束 考勤组
    * @return $groupIdEnd
    */
    public Long getGroupIdEnd(){
        return this.groupIdEnd;
    }

    /**
    * 设置 结束 考勤组
    * @param groupIdEnd
    */
    public void setGroupIdEnd(Long groupIdEnd){
        this.groupIdEnd = groupIdEnd;
    }

    /**
    * 获取 增加 考勤组
    * @return groupIdIncrement
    */
    public Long getGroupIdIncrement(){
        return this.groupIdIncrement;
    }

    /**
    * 设置 增加 考勤组
    * @param groupIdIncrement
    */
    public void setGroupIdIncrement(Long groupIdIncrement){
        this.groupIdIncrement = groupIdIncrement;
    }

    /**
    * 获取 考勤组
    * @return groupIdList
    */
    public List<Long> getGroupIdList(){
        return this.groupIdList;
    }

    /**
    * 设置 考勤组
    * @param groupIdList
    */
    public void setGroupIdList(List<Long> groupIdList){
        this.groupIdList = groupIdList;
    }

    /**
    * 获取 考勤组
    * @return groupIdNotList
    */
    public List<Long> getGroupIdNotList(){
        return this.groupIdNotList;
    }

    /**
    * 设置 考勤组
    * @param groupIdNotList
    */
    public void setGroupIdNotList(List<Long> groupIdNotList){
        this.groupIdNotList = groupIdNotList;
    }


    /**
    * 获取 考勤组名称
    * @return groupNameList
    */
    public List<String> getGroupNameList(){
        return this.groupNameList;
    }

    /**
    * 设置 考勤组名称
    * @param groupNameList
    */
    public void setGroupNameList(List<String> groupNameList){
        this.groupNameList = groupNameList;
    }

    /**
    * 获取 考勤组名称
    * @return groupNameNotList
    */
    public List<String> getGroupNameNotList(){
        return this.groupNameNotList;
    }

    /**
    * 设置 考勤组名称
    * @param groupNameNotList
    */
    public void setGroupNameNotList(List<String> groupNameNotList){
        this.groupNameNotList = groupNameNotList;
    }

    /**
    * 获取 开始 周一是否考勤(0.否,1.是)
    * @return mondayStart
    */
    public Integer getMondayStart(){
        return this.mondayStart;
    }

    /**
    * 设置 开始 周一是否考勤(0.否,1.是)
    * @param mondayStart
    */
    public void setMondayStart(Integer mondayStart){
        this.mondayStart = mondayStart;
    }

    /**
    * 获取 结束 周一是否考勤(0.否,1.是)
    * @return $mondayEnd
    */
    public Integer getMondayEnd(){
        return this.mondayEnd;
    }

    /**
    * 设置 结束 周一是否考勤(0.否,1.是)
    * @param mondayEnd
    */
    public void setMondayEnd(Integer mondayEnd){
        this.mondayEnd = mondayEnd;
    }

    /**
    * 获取 增加 周一是否考勤(0.否,1.是)
    * @return mondayIncrement
    */
    public Integer getMondayIncrement(){
        return this.mondayIncrement;
    }

    /**
    * 设置 增加 周一是否考勤(0.否,1.是)
    * @param mondayIncrement
    */
    public void setMondayIncrement(Integer mondayIncrement){
        this.mondayIncrement = mondayIncrement;
    }

    /**
    * 获取 周一是否考勤(0.否,1.是)
    * @return mondayList
    */
    public List<Integer> getMondayList(){
        return this.mondayList;
    }

    /**
    * 设置 周一是否考勤(0.否,1.是)
    * @param mondayList
    */
    public void setMondayList(List<Integer> mondayList){
        this.mondayList = mondayList;
    }

    /**
    * 获取 周一是否考勤(0.否,1.是)
    * @return mondayNotList
    */
    public List<Integer> getMondayNotList(){
        return this.mondayNotList;
    }

    /**
    * 设置 周一是否考勤(0.否,1.是)
    * @param mondayNotList
    */
    public void setMondayNotList(List<Integer> mondayNotList){
        this.mondayNotList = mondayNotList;
    }


    /**
    * 获取 开始 周二是否考勤(0.否,1.是)
    * @return tuesdayStart
    */
    public Integer getTuesdayStart(){
        return this.tuesdayStart;
    }

    /**
    * 设置 开始 周二是否考勤(0.否,1.是)
    * @param tuesdayStart
    */
    public void setTuesdayStart(Integer tuesdayStart){
        this.tuesdayStart = tuesdayStart;
    }

    /**
    * 获取 结束 周二是否考勤(0.否,1.是)
    * @return $tuesdayEnd
    */
    public Integer getTuesdayEnd(){
        return this.tuesdayEnd;
    }

    /**
    * 设置 结束 周二是否考勤(0.否,1.是)
    * @param tuesdayEnd
    */
    public void setTuesdayEnd(Integer tuesdayEnd){
        this.tuesdayEnd = tuesdayEnd;
    }

    /**
    * 获取 增加 周二是否考勤(0.否,1.是)
    * @return tuesdayIncrement
    */
    public Integer getTuesdayIncrement(){
        return this.tuesdayIncrement;
    }

    /**
    * 设置 增加 周二是否考勤(0.否,1.是)
    * @param tuesdayIncrement
    */
    public void setTuesdayIncrement(Integer tuesdayIncrement){
        this.tuesdayIncrement = tuesdayIncrement;
    }

    /**
    * 获取 周二是否考勤(0.否,1.是)
    * @return tuesdayList
    */
    public List<Integer> getTuesdayList(){
        return this.tuesdayList;
    }

    /**
    * 设置 周二是否考勤(0.否,1.是)
    * @param tuesdayList
    */
    public void setTuesdayList(List<Integer> tuesdayList){
        this.tuesdayList = tuesdayList;
    }

    /**
    * 获取 周二是否考勤(0.否,1.是)
    * @return tuesdayNotList
    */
    public List<Integer> getTuesdayNotList(){
        return this.tuesdayNotList;
    }

    /**
    * 设置 周二是否考勤(0.否,1.是)
    * @param tuesdayNotList
    */
    public void setTuesdayNotList(List<Integer> tuesdayNotList){
        this.tuesdayNotList = tuesdayNotList;
    }


    /**
    * 获取 开始 周三是否考勤(0.否,1.是)
    * @return wednesdayStart
    */
    public Integer getWednesdayStart(){
        return this.wednesdayStart;
    }

    /**
    * 设置 开始 周三是否考勤(0.否,1.是)
    * @param wednesdayStart
    */
    public void setWednesdayStart(Integer wednesdayStart){
        this.wednesdayStart = wednesdayStart;
    }

    /**
    * 获取 结束 周三是否考勤(0.否,1.是)
    * @return $wednesdayEnd
    */
    public Integer getWednesdayEnd(){
        return this.wednesdayEnd;
    }

    /**
    * 设置 结束 周三是否考勤(0.否,1.是)
    * @param wednesdayEnd
    */
    public void setWednesdayEnd(Integer wednesdayEnd){
        this.wednesdayEnd = wednesdayEnd;
    }

    /**
    * 获取 增加 周三是否考勤(0.否,1.是)
    * @return wednesdayIncrement
    */
    public Integer getWednesdayIncrement(){
        return this.wednesdayIncrement;
    }

    /**
    * 设置 增加 周三是否考勤(0.否,1.是)
    * @param wednesdayIncrement
    */
    public void setWednesdayIncrement(Integer wednesdayIncrement){
        this.wednesdayIncrement = wednesdayIncrement;
    }

    /**
    * 获取 周三是否考勤(0.否,1.是)
    * @return wednesdayList
    */
    public List<Integer> getWednesdayList(){
        return this.wednesdayList;
    }

    /**
    * 设置 周三是否考勤(0.否,1.是)
    * @param wednesdayList
    */
    public void setWednesdayList(List<Integer> wednesdayList){
        this.wednesdayList = wednesdayList;
    }

    /**
    * 获取 周三是否考勤(0.否,1.是)
    * @return wednesdayNotList
    */
    public List<Integer> getWednesdayNotList(){
        return this.wednesdayNotList;
    }

    /**
    * 设置 周三是否考勤(0.否,1.是)
    * @param wednesdayNotList
    */
    public void setWednesdayNotList(List<Integer> wednesdayNotList){
        this.wednesdayNotList = wednesdayNotList;
    }


    /**
    * 获取 开始 周四是否考勤(0.否,1.是)
    * @return thursdayStart
    */
    public Integer getThursdayStart(){
        return this.thursdayStart;
    }

    /**
    * 设置 开始 周四是否考勤(0.否,1.是)
    * @param thursdayStart
    */
    public void setThursdayStart(Integer thursdayStart){
        this.thursdayStart = thursdayStart;
    }

    /**
    * 获取 结束 周四是否考勤(0.否,1.是)
    * @return $thursdayEnd
    */
    public Integer getThursdayEnd(){
        return this.thursdayEnd;
    }

    /**
    * 设置 结束 周四是否考勤(0.否,1.是)
    * @param thursdayEnd
    */
    public void setThursdayEnd(Integer thursdayEnd){
        this.thursdayEnd = thursdayEnd;
    }

    /**
    * 获取 增加 周四是否考勤(0.否,1.是)
    * @return thursdayIncrement
    */
    public Integer getThursdayIncrement(){
        return this.thursdayIncrement;
    }

    /**
    * 设置 增加 周四是否考勤(0.否,1.是)
    * @param thursdayIncrement
    */
    public void setThursdayIncrement(Integer thursdayIncrement){
        this.thursdayIncrement = thursdayIncrement;
    }

    /**
    * 获取 周四是否考勤(0.否,1.是)
    * @return thursdayList
    */
    public List<Integer> getThursdayList(){
        return this.thursdayList;
    }

    /**
    * 设置 周四是否考勤(0.否,1.是)
    * @param thursdayList
    */
    public void setThursdayList(List<Integer> thursdayList){
        this.thursdayList = thursdayList;
    }

    /**
    * 获取 周四是否考勤(0.否,1.是)
    * @return thursdayNotList
    */
    public List<Integer> getThursdayNotList(){
        return this.thursdayNotList;
    }

    /**
    * 设置 周四是否考勤(0.否,1.是)
    * @param thursdayNotList
    */
    public void setThursdayNotList(List<Integer> thursdayNotList){
        this.thursdayNotList = thursdayNotList;
    }


    /**
    * 获取 开始 周五是否考勤(0.否,1.是)
    * @return fridayStart
    */
    public Integer getFridayStart(){
        return this.fridayStart;
    }

    /**
    * 设置 开始 周五是否考勤(0.否,1.是)
    * @param fridayStart
    */
    public void setFridayStart(Integer fridayStart){
        this.fridayStart = fridayStart;
    }

    /**
    * 获取 结束 周五是否考勤(0.否,1.是)
    * @return $fridayEnd
    */
    public Integer getFridayEnd(){
        return this.fridayEnd;
    }

    /**
    * 设置 结束 周五是否考勤(0.否,1.是)
    * @param fridayEnd
    */
    public void setFridayEnd(Integer fridayEnd){
        this.fridayEnd = fridayEnd;
    }

    /**
    * 获取 增加 周五是否考勤(0.否,1.是)
    * @return fridayIncrement
    */
    public Integer getFridayIncrement(){
        return this.fridayIncrement;
    }

    /**
    * 设置 增加 周五是否考勤(0.否,1.是)
    * @param fridayIncrement
    */
    public void setFridayIncrement(Integer fridayIncrement){
        this.fridayIncrement = fridayIncrement;
    }

    /**
    * 获取 周五是否考勤(0.否,1.是)
    * @return fridayList
    */
    public List<Integer> getFridayList(){
        return this.fridayList;
    }

    /**
    * 设置 周五是否考勤(0.否,1.是)
    * @param fridayList
    */
    public void setFridayList(List<Integer> fridayList){
        this.fridayList = fridayList;
    }

    /**
    * 获取 周五是否考勤(0.否,1.是)
    * @return fridayNotList
    */
    public List<Integer> getFridayNotList(){
        return this.fridayNotList;
    }

    /**
    * 设置 周五是否考勤(0.否,1.是)
    * @param fridayNotList
    */
    public void setFridayNotList(List<Integer> fridayNotList){
        this.fridayNotList = fridayNotList;
    }


    /**
    * 获取 开始 周六是否考勤(0.否,1.是)
    * @return saturdayStart
    */
    public Integer getSaturdayStart(){
        return this.saturdayStart;
    }

    /**
    * 设置 开始 周六是否考勤(0.否,1.是)
    * @param saturdayStart
    */
    public void setSaturdayStart(Integer saturdayStart){
        this.saturdayStart = saturdayStart;
    }

    /**
    * 获取 结束 周六是否考勤(0.否,1.是)
    * @return $saturdayEnd
    */
    public Integer getSaturdayEnd(){
        return this.saturdayEnd;
    }

    /**
    * 设置 结束 周六是否考勤(0.否,1.是)
    * @param saturdayEnd
    */
    public void setSaturdayEnd(Integer saturdayEnd){
        this.saturdayEnd = saturdayEnd;
    }

    /**
    * 获取 增加 周六是否考勤(0.否,1.是)
    * @return saturdayIncrement
    */
    public Integer getSaturdayIncrement(){
        return this.saturdayIncrement;
    }

    /**
    * 设置 增加 周六是否考勤(0.否,1.是)
    * @param saturdayIncrement
    */
    public void setSaturdayIncrement(Integer saturdayIncrement){
        this.saturdayIncrement = saturdayIncrement;
    }

    /**
    * 获取 周六是否考勤(0.否,1.是)
    * @return saturdayList
    */
    public List<Integer> getSaturdayList(){
        return this.saturdayList;
    }

    /**
    * 设置 周六是否考勤(0.否,1.是)
    * @param saturdayList
    */
    public void setSaturdayList(List<Integer> saturdayList){
        this.saturdayList = saturdayList;
    }

    /**
    * 获取 周六是否考勤(0.否,1.是)
    * @return saturdayNotList
    */
    public List<Integer> getSaturdayNotList(){
        return this.saturdayNotList;
    }

    /**
    * 设置 周六是否考勤(0.否,1.是)
    * @param saturdayNotList
    */
    public void setSaturdayNotList(List<Integer> saturdayNotList){
        this.saturdayNotList = saturdayNotList;
    }


    /**
    * 获取 开始 周日是否考勤(0.否,1.是)
    * @return sundayStart
    */
    public Integer getSundayStart(){
        return this.sundayStart;
    }

    /**
    * 设置 开始 周日是否考勤(0.否,1.是)
    * @param sundayStart
    */
    public void setSundayStart(Integer sundayStart){
        this.sundayStart = sundayStart;
    }

    /**
    * 获取 结束 周日是否考勤(0.否,1.是)
    * @return $sundayEnd
    */
    public Integer getSundayEnd(){
        return this.sundayEnd;
    }

    /**
    * 设置 结束 周日是否考勤(0.否,1.是)
    * @param sundayEnd
    */
    public void setSundayEnd(Integer sundayEnd){
        this.sundayEnd = sundayEnd;
    }

    /**
    * 获取 增加 周日是否考勤(0.否,1.是)
    * @return sundayIncrement
    */
    public Integer getSundayIncrement(){
        return this.sundayIncrement;
    }

    /**
    * 设置 增加 周日是否考勤(0.否,1.是)
    * @param sundayIncrement
    */
    public void setSundayIncrement(Integer sundayIncrement){
        this.sundayIncrement = sundayIncrement;
    }

    /**
    * 获取 周日是否考勤(0.否,1.是)
    * @return sundayList
    */
    public List<Integer> getSundayList(){
        return this.sundayList;
    }

    /**
    * 设置 周日是否考勤(0.否,1.是)
    * @param sundayList
    */
    public void setSundayList(List<Integer> sundayList){
        this.sundayList = sundayList;
    }

    /**
    * 获取 周日是否考勤(0.否,1.是)
    * @return sundayNotList
    */
    public List<Integer> getSundayNotList(){
        return this.sundayNotList;
    }

    /**
    * 设置 周日是否考勤(0.否,1.是)
    * @param sundayNotList
    */
    public void setSundayNotList(List<Integer> sundayNotList){
        this.sundayNotList = sundayNotList;
    }


    /**
    * 获取 开始 法定节假日自动排休(0.否,1.是)
    * @return holidaysStart
    */
    public Integer getHolidaysStart(){
        return this.holidaysStart;
    }

    /**
    * 设置 开始 法定节假日自动排休(0.否,1.是)
    * @param holidaysStart
    */
    public void setHolidaysStart(Integer holidaysStart){
        this.holidaysStart = holidaysStart;
    }

    /**
    * 获取 结束 法定节假日自动排休(0.否,1.是)
    * @return $holidaysEnd
    */
    public Integer getHolidaysEnd(){
        return this.holidaysEnd;
    }

    /**
    * 设置 结束 法定节假日自动排休(0.否,1.是)
    * @param holidaysEnd
    */
    public void setHolidaysEnd(Integer holidaysEnd){
        this.holidaysEnd = holidaysEnd;
    }

    /**
    * 获取 增加 法定节假日自动排休(0.否,1.是)
    * @return holidaysIncrement
    */
    public Integer getHolidaysIncrement(){
        return this.holidaysIncrement;
    }

    /**
    * 设置 增加 法定节假日自动排休(0.否,1.是)
    * @param holidaysIncrement
    */
    public void setHolidaysIncrement(Integer holidaysIncrement){
        this.holidaysIncrement = holidaysIncrement;
    }

    /**
    * 获取 法定节假日自动排休(0.否,1.是)
    * @return holidaysList
    */
    public List<Integer> getHolidaysList(){
        return this.holidaysList;
    }

    /**
    * 设置 法定节假日自动排休(0.否,1.是)
    * @param holidaysList
    */
    public void setHolidaysList(List<Integer> holidaysList){
        this.holidaysList = holidaysList;
    }

    /**
    * 获取 法定节假日自动排休(0.否,1.是)
    * @return holidaysNotList
    */
    public List<Integer> getHolidaysNotList(){
        return this.holidaysNotList;
    }

    /**
    * 设置 法定节假日自动排休(0.否,1.是)
    * @param holidaysNotList
    */
    public void setHolidaysNotList(List<Integer> holidaysNotList){
        this.holidaysNotList = holidaysNotList;
    }


    /**
    * 获取 开始 工作时长，单位小时
    * @return workTimeStart
    */
    public Integer getWorkTimeStart(){
        return this.workTimeStart;
    }

    /**
    * 设置 开始 工作时长，单位小时
    * @param workTimeStart
    */
    public void setWorkTimeStart(Integer workTimeStart){
        this.workTimeStart = workTimeStart;
    }

    /**
    * 获取 结束 工作时长，单位小时
    * @return $workTimeEnd
    */
    public Integer getWorkTimeEnd(){
        return this.workTimeEnd;
    }

    /**
    * 设置 结束 工作时长，单位小时
    * @param workTimeEnd
    */
    public void setWorkTimeEnd(Integer workTimeEnd){
        this.workTimeEnd = workTimeEnd;
    }

    /**
    * 获取 增加 工作时长，单位小时
    * @return workTimeIncrement
    */
    public Integer getWorkTimeIncrement(){
        return this.workTimeIncrement;
    }

    /**
    * 设置 增加 工作时长，单位小时
    * @param workTimeIncrement
    */
    public void setWorkTimeIncrement(Integer workTimeIncrement){
        this.workTimeIncrement = workTimeIncrement;
    }

    /**
    * 获取 工作时长，单位小时
    * @return workTimeList
    */
    public List<Integer> getWorkTimeList(){
        return this.workTimeList;
    }

    /**
    * 设置 工作时长，单位小时
    * @param workTimeList
    */
    public void setWorkTimeList(List<Integer> workTimeList){
        this.workTimeList = workTimeList;
    }

    /**
    * 获取 工作时长，单位小时
    * @return workTimeNotList
    */
    public List<Integer> getWorkTimeNotList(){
        return this.workTimeNotList;
    }

    /**
    * 设置 工作时长，单位小时
    * @param workTimeNotList
    */
    public void setWorkTimeNotList(List<Integer> workTimeNotList){
        this.workTimeNotList = workTimeNotList;
    }


    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public AttendanceGroupFreeworkQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public AttendanceGroupFreeworkQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public AttendanceGroupFreeworkQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public AttendanceGroupFreeworkQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public AttendanceGroupFreeworkQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public AttendanceGroupFreeworkQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  考勤组
    * @param groupId
    */
    public AttendanceGroupFreeworkQuery groupId(Long groupId){
	    setGroupId(groupId);
		return this;
    }
	
	 /**
    * 设置 开始 考勤组
    * @param groupIdStart
    */
    public AttendanceGroupFreeworkQuery groupIdStart(Long groupIdStart){
		this.groupIdStart = groupIdStart;
		return this;
    }

    /**
    * 设置 结束 考勤组
    * @param groupIdEnd
    */
    public AttendanceGroupFreeworkQuery groupIdEnd(Long groupIdEnd){
		this.groupIdEnd = groupIdEnd;
		return this;
    }

    /**
    * 设置 增加 考勤组
    * @param groupIdIncrement
    */
    public AttendanceGroupFreeworkQuery groupIdIncrement(Long groupIdIncrement){
		this.groupIdIncrement = groupIdIncrement;
		return this;
    }

    /**
    * 设置 考勤组
    * @param groupIdList
    */
    public AttendanceGroupFreeworkQuery groupIdList(List<Long> groupIdList){
        this.groupIdList = groupIdList;
		return this;
        }

        /**
        * 设置 考勤组
        * @param groupIdNotList
        */
        public AttendanceGroupFreeworkQuery groupIdNotList(List<Long> groupIdNotList){
        this.groupIdNotList = groupIdNotList;
        return this;
        }


	/**
    * 设置 考勤组名称
    * @param groupName
    */
    public AttendanceGroupFreeworkQuery groupName(String groupName){
        setGroupName(groupName);
		return this;
    }

    /**
    * 设置 考勤组名称
    * @param groupNameList
    */
    public AttendanceGroupFreeworkQuery groupNameList(List<String> groupNameList){
        this.groupNameList = groupNameList;
		return this;
    }

    /**
    * 设置  周一是否考勤(0.否,1.是)
    * @param monday
    */
    public AttendanceGroupFreeworkQuery monday(Integer monday){
	    setMonday(monday);
		return this;
    }
	
	 /**
    * 设置 开始 周一是否考勤(0.否,1.是)
    * @param mondayStart
    */
    public AttendanceGroupFreeworkQuery mondayStart(Integer mondayStart){
		this.mondayStart = mondayStart;
		return this;
    }

    /**
    * 设置 结束 周一是否考勤(0.否,1.是)
    * @param mondayEnd
    */
    public AttendanceGroupFreeworkQuery mondayEnd(Integer mondayEnd){
		this.mondayEnd = mondayEnd;
		return this;
    }

    /**
    * 设置 增加 周一是否考勤(0.否,1.是)
    * @param mondayIncrement
    */
    public AttendanceGroupFreeworkQuery mondayIncrement(Integer mondayIncrement){
		this.mondayIncrement = mondayIncrement;
		return this;
    }

    /**
    * 设置 周一是否考勤(0.否,1.是)
    * @param mondayList
    */
    public AttendanceGroupFreeworkQuery mondayList(List<Integer> mondayList){
        this.mondayList = mondayList;
		return this;
        }

        /**
        * 设置 周一是否考勤(0.否,1.是)
        * @param mondayNotList
        */
        public AttendanceGroupFreeworkQuery mondayNotList(List<Integer> mondayNotList){
        this.mondayNotList = mondayNotList;
        return this;
        }

    /**
    * 设置  周二是否考勤(0.否,1.是)
    * @param tuesday
    */
    public AttendanceGroupFreeworkQuery tuesday(Integer tuesday){
	    setTuesday(tuesday);
		return this;
    }
	
	 /**
    * 设置 开始 周二是否考勤(0.否,1.是)
    * @param tuesdayStart
    */
    public AttendanceGroupFreeworkQuery tuesdayStart(Integer tuesdayStart){
		this.tuesdayStart = tuesdayStart;
		return this;
    }

    /**
    * 设置 结束 周二是否考勤(0.否,1.是)
    * @param tuesdayEnd
    */
    public AttendanceGroupFreeworkQuery tuesdayEnd(Integer tuesdayEnd){
		this.tuesdayEnd = tuesdayEnd;
		return this;
    }

    /**
    * 设置 增加 周二是否考勤(0.否,1.是)
    * @param tuesdayIncrement
    */
    public AttendanceGroupFreeworkQuery tuesdayIncrement(Integer tuesdayIncrement){
		this.tuesdayIncrement = tuesdayIncrement;
		return this;
    }

    /**
    * 设置 周二是否考勤(0.否,1.是)
    * @param tuesdayList
    */
    public AttendanceGroupFreeworkQuery tuesdayList(List<Integer> tuesdayList){
        this.tuesdayList = tuesdayList;
		return this;
        }

        /**
        * 设置 周二是否考勤(0.否,1.是)
        * @param tuesdayNotList
        */
        public AttendanceGroupFreeworkQuery tuesdayNotList(List<Integer> tuesdayNotList){
        this.tuesdayNotList = tuesdayNotList;
        return this;
        }

    /**
    * 设置  周三是否考勤(0.否,1.是)
    * @param wednesday
    */
    public AttendanceGroupFreeworkQuery wednesday(Integer wednesday){
	    setWednesday(wednesday);
		return this;
    }
	
	 /**
    * 设置 开始 周三是否考勤(0.否,1.是)
    * @param wednesdayStart
    */
    public AttendanceGroupFreeworkQuery wednesdayStart(Integer wednesdayStart){
		this.wednesdayStart = wednesdayStart;
		return this;
    }

    /**
    * 设置 结束 周三是否考勤(0.否,1.是)
    * @param wednesdayEnd
    */
    public AttendanceGroupFreeworkQuery wednesdayEnd(Integer wednesdayEnd){
		this.wednesdayEnd = wednesdayEnd;
		return this;
    }

    /**
    * 设置 增加 周三是否考勤(0.否,1.是)
    * @param wednesdayIncrement
    */
    public AttendanceGroupFreeworkQuery wednesdayIncrement(Integer wednesdayIncrement){
		this.wednesdayIncrement = wednesdayIncrement;
		return this;
    }

    /**
    * 设置 周三是否考勤(0.否,1.是)
    * @param wednesdayList
    */
    public AttendanceGroupFreeworkQuery wednesdayList(List<Integer> wednesdayList){
        this.wednesdayList = wednesdayList;
		return this;
        }

        /**
        * 设置 周三是否考勤(0.否,1.是)
        * @param wednesdayNotList
        */
        public AttendanceGroupFreeworkQuery wednesdayNotList(List<Integer> wednesdayNotList){
        this.wednesdayNotList = wednesdayNotList;
        return this;
        }

    /**
    * 设置  周四是否考勤(0.否,1.是)
    * @param thursday
    */
    public AttendanceGroupFreeworkQuery thursday(Integer thursday){
	    setThursday(thursday);
		return this;
    }
	
	 /**
    * 设置 开始 周四是否考勤(0.否,1.是)
    * @param thursdayStart
    */
    public AttendanceGroupFreeworkQuery thursdayStart(Integer thursdayStart){
		this.thursdayStart = thursdayStart;
		return this;
    }

    /**
    * 设置 结束 周四是否考勤(0.否,1.是)
    * @param thursdayEnd
    */
    public AttendanceGroupFreeworkQuery thursdayEnd(Integer thursdayEnd){
		this.thursdayEnd = thursdayEnd;
		return this;
    }

    /**
    * 设置 增加 周四是否考勤(0.否,1.是)
    * @param thursdayIncrement
    */
    public AttendanceGroupFreeworkQuery thursdayIncrement(Integer thursdayIncrement){
		this.thursdayIncrement = thursdayIncrement;
		return this;
    }

    /**
    * 设置 周四是否考勤(0.否,1.是)
    * @param thursdayList
    */
    public AttendanceGroupFreeworkQuery thursdayList(List<Integer> thursdayList){
        this.thursdayList = thursdayList;
		return this;
        }

        /**
        * 设置 周四是否考勤(0.否,1.是)
        * @param thursdayNotList
        */
        public AttendanceGroupFreeworkQuery thursdayNotList(List<Integer> thursdayNotList){
        this.thursdayNotList = thursdayNotList;
        return this;
        }

    /**
    * 设置  周五是否考勤(0.否,1.是)
    * @param friday
    */
    public AttendanceGroupFreeworkQuery friday(Integer friday){
	    setFriday(friday);
		return this;
    }
	
	 /**
    * 设置 开始 周五是否考勤(0.否,1.是)
    * @param fridayStart
    */
    public AttendanceGroupFreeworkQuery fridayStart(Integer fridayStart){
		this.fridayStart = fridayStart;
		return this;
    }

    /**
    * 设置 结束 周五是否考勤(0.否,1.是)
    * @param fridayEnd
    */
    public AttendanceGroupFreeworkQuery fridayEnd(Integer fridayEnd){
		this.fridayEnd = fridayEnd;
		return this;
    }

    /**
    * 设置 增加 周五是否考勤(0.否,1.是)
    * @param fridayIncrement
    */
    public AttendanceGroupFreeworkQuery fridayIncrement(Integer fridayIncrement){
		this.fridayIncrement = fridayIncrement;
		return this;
    }

    /**
    * 设置 周五是否考勤(0.否,1.是)
    * @param fridayList
    */
    public AttendanceGroupFreeworkQuery fridayList(List<Integer> fridayList){
        this.fridayList = fridayList;
		return this;
        }

        /**
        * 设置 周五是否考勤(0.否,1.是)
        * @param fridayNotList
        */
        public AttendanceGroupFreeworkQuery fridayNotList(List<Integer> fridayNotList){
        this.fridayNotList = fridayNotList;
        return this;
        }

    /**
    * 设置  周六是否考勤(0.否,1.是)
    * @param saturday
    */
    public AttendanceGroupFreeworkQuery saturday(Integer saturday){
	    setSaturday(saturday);
		return this;
    }
	
	 /**
    * 设置 开始 周六是否考勤(0.否,1.是)
    * @param saturdayStart
    */
    public AttendanceGroupFreeworkQuery saturdayStart(Integer saturdayStart){
		this.saturdayStart = saturdayStart;
		return this;
    }

    /**
    * 设置 结束 周六是否考勤(0.否,1.是)
    * @param saturdayEnd
    */
    public AttendanceGroupFreeworkQuery saturdayEnd(Integer saturdayEnd){
		this.saturdayEnd = saturdayEnd;
		return this;
    }

    /**
    * 设置 增加 周六是否考勤(0.否,1.是)
    * @param saturdayIncrement
    */
    public AttendanceGroupFreeworkQuery saturdayIncrement(Integer saturdayIncrement){
		this.saturdayIncrement = saturdayIncrement;
		return this;
    }

    /**
    * 设置 周六是否考勤(0.否,1.是)
    * @param saturdayList
    */
    public AttendanceGroupFreeworkQuery saturdayList(List<Integer> saturdayList){
        this.saturdayList = saturdayList;
		return this;
        }

        /**
        * 设置 周六是否考勤(0.否,1.是)
        * @param saturdayNotList
        */
        public AttendanceGroupFreeworkQuery saturdayNotList(List<Integer> saturdayNotList){
        this.saturdayNotList = saturdayNotList;
        return this;
        }

    /**
    * 设置  周日是否考勤(0.否,1.是)
    * @param sunday
    */
    public AttendanceGroupFreeworkQuery sunday(Integer sunday){
	    setSunday(sunday);
		return this;
    }
	
	 /**
    * 设置 开始 周日是否考勤(0.否,1.是)
    * @param sundayStart
    */
    public AttendanceGroupFreeworkQuery sundayStart(Integer sundayStart){
		this.sundayStart = sundayStart;
		return this;
    }

    /**
    * 设置 结束 周日是否考勤(0.否,1.是)
    * @param sundayEnd
    */
    public AttendanceGroupFreeworkQuery sundayEnd(Integer sundayEnd){
		this.sundayEnd = sundayEnd;
		return this;
    }

    /**
    * 设置 增加 周日是否考勤(0.否,1.是)
    * @param sundayIncrement
    */
    public AttendanceGroupFreeworkQuery sundayIncrement(Integer sundayIncrement){
		this.sundayIncrement = sundayIncrement;
		return this;
    }

    /**
    * 设置 周日是否考勤(0.否,1.是)
    * @param sundayList
    */
    public AttendanceGroupFreeworkQuery sundayList(List<Integer> sundayList){
        this.sundayList = sundayList;
		return this;
        }

        /**
        * 设置 周日是否考勤(0.否,1.是)
        * @param sundayNotList
        */
        public AttendanceGroupFreeworkQuery sundayNotList(List<Integer> sundayNotList){
        this.sundayNotList = sundayNotList;
        return this;
        }

    /**
    * 设置  法定节假日自动排休(0.否,1.是)
    * @param holidays
    */
    public AttendanceGroupFreeworkQuery holidays(Integer holidays){
	    setHolidays(holidays);
		return this;
    }
	
	 /**
    * 设置 开始 法定节假日自动排休(0.否,1.是)
    * @param holidaysStart
    */
    public AttendanceGroupFreeworkQuery holidaysStart(Integer holidaysStart){
		this.holidaysStart = holidaysStart;
		return this;
    }

    /**
    * 设置 结束 法定节假日自动排休(0.否,1.是)
    * @param holidaysEnd
    */
    public AttendanceGroupFreeworkQuery holidaysEnd(Integer holidaysEnd){
		this.holidaysEnd = holidaysEnd;
		return this;
    }

    /**
    * 设置 增加 法定节假日自动排休(0.否,1.是)
    * @param holidaysIncrement
    */
    public AttendanceGroupFreeworkQuery holidaysIncrement(Integer holidaysIncrement){
		this.holidaysIncrement = holidaysIncrement;
		return this;
    }

    /**
    * 设置 法定节假日自动排休(0.否,1.是)
    * @param holidaysList
    */
    public AttendanceGroupFreeworkQuery holidaysList(List<Integer> holidaysList){
        this.holidaysList = holidaysList;
		return this;
        }

        /**
        * 设置 法定节假日自动排休(0.否,1.是)
        * @param holidaysNotList
        */
        public AttendanceGroupFreeworkQuery holidaysNotList(List<Integer> holidaysNotList){
        this.holidaysNotList = holidaysNotList;
        return this;
        }

    /**
    * 设置  工作时长，单位小时
    * @param workTime
    */
    public AttendanceGroupFreeworkQuery workTime(Integer workTime){
	    setWorkTime(workTime);
		return this;
    }
	
	 /**
    * 设置 开始 工作时长，单位小时
    * @param workTimeStart
    */
    public AttendanceGroupFreeworkQuery workTimeStart(Integer workTimeStart){
		this.workTimeStart = workTimeStart;
		return this;
    }

    /**
    * 设置 结束 工作时长，单位小时
    * @param workTimeEnd
    */
    public AttendanceGroupFreeworkQuery workTimeEnd(Integer workTimeEnd){
		this.workTimeEnd = workTimeEnd;
		return this;
    }

    /**
    * 设置 增加 工作时长，单位小时
    * @param workTimeIncrement
    */
    public AttendanceGroupFreeworkQuery workTimeIncrement(Integer workTimeIncrement){
		this.workTimeIncrement = workTimeIncrement;
		return this;
    }

    /**
    * 设置 工作时长，单位小时
    * @param workTimeList
    */
    public AttendanceGroupFreeworkQuery workTimeList(List<Integer> workTimeList){
        this.workTimeList = workTimeList;
		return this;
        }

        /**
        * 设置 工作时长，单位小时
        * @param workTimeNotList
        */
        public AttendanceGroupFreeworkQuery workTimeNotList(List<Integer> workTimeNotList){
        this.workTimeNotList = workTimeNotList;
        return this;
        }


	/**
    * 设置 备注
    * @param remark
    */
    public AttendanceGroupFreeworkQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public AttendanceGroupFreeworkQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public AttendanceGroupFreeworkQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public AttendanceGroupFreeworkQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public AttendanceGroupFreeworkQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public AttendanceGroupFreeworkQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public AttendanceGroupFreeworkQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public AttendanceGroupFreeworkQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public AttendanceGroupFreeworkQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public AttendanceGroupFreeworkQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public AttendanceGroupFreeworkQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public AttendanceGroupFreeworkQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public AttendanceGroupFreeworkQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public AttendanceGroupFreeworkQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<AttendanceGroupFreeworkQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<AttendanceGroupFreeworkQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<AttendanceGroupFreeworkQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<AttendanceGroupFreeworkQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}